ranges-compl.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Iter::Ranges::Compl< UMIN, UMAX, I >
| Range iterator for computing the complement (described by template arguments). More...
class | Gecode::Iter::Ranges::ComplVal< I >
| Range iterator for computing the complement (described by values). More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Iter
| Range and value iterators.
namespace | Gecode::Iter::Ranges
| Range iterators.